> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a lead status history entry

> Returns one lead status change record so users can review a lead outcome, related notes, and follow-up context.



## OpenAPI

````yaml /openapi.json get /lead-status-changes/{id}
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    organization settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Feedback
  - name: Leads
  - name: LeadStatusChanges
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: Organizations
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /lead-status-changes/{id}:
    get:
      tags:
        - LeadStatusChanges
      summary: Get a lead status history entry
      description: >-
        Returns one lead status change record so users can review a lead
        outcome, related notes, and follow-up context.
      operationId: LeadStatusChanges_Get
      parameters:
        - name: id
          in: path
          description: The ID of the lead status change to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The lead status change was successfully retrieved.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/LeadStatusChangeResponse'
                description: Response model for lead status change data.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: The specified lead status change was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    LeadStatusChangeResponse:
      type: object
      properties:
        id:
          type: string
          description: The unique ID for this lead status change.
        leadId:
          type: string
          description: The lead ID associated with this lead status change.
        leadName:
          type: string
          description: >-
            The display name of the lead associated with this lead status
            change.
          nullable: true
        type:
          type: string
          description: The type classification for this lead status change.
        outcome:
          type: string
          description: The outcome value for this lead status change.
        category:
          enum:
            - Open
            - Qualified
            - Converted
            - Lost
            - Invalid
            - Duplicate
          type: string
          description: >-
            Controlled lead status change categories used for reporting,
            automation, and analytics.
          nullable: true
        oldLeadStatusChangeId:
          type: string
          description: >-
            Unique identifier of the old lead status change associated with this
            Leadping lead status change.
          nullable: true
        oldLeadStatusChangeType:
          type: string
          description: >-
            Old lead status change type classification for this Leadping lead
            status change.
          nullable: true
        oldLeadStatusChangeOutcome:
          type: string
          description: >-
            Old lead status change outcome associated with this Leadping lead
            status change.
          nullable: true
        newLeadStatusChangeId:
          type: string
          description: >-
            Unique identifier of the new lead status change associated with this
            Leadping lead status change.
          nullable: true
        notes:
          type: string
          description: The operator or customer notes recorded for this lead status change.
        reason:
          type: string
          description: The reason this lead status change was changed.
          nullable: true
        changedByUserId:
          type: string
          description: Unique identifier of the Leadping user who made the change.
          nullable: true
        changedByAutomationId:
          type: string
          description: >-
            Unique identifier of the automation that changed the lead status
            change, when applicable.
          nullable: true
        changedAt:
          type: string
          description: Date and time when the lead status change change occurred.
          format: date-time
          nullable: true
        changeSource:
          enum:
            - User
            - AI
            - Automation
            - System
            - API
          type: string
          description: Known sources that can change a lead's current lead status change.
          nullable: true
        timestamp:
          type: string
          description: >-
            The date and time for the timestamp value on this lead status
            change.
          format: date-time
        createdAt:
          type: string
          description: >-
            The date and time for the created at value on this lead status
            change.
          format: date-time
        updatedAt:
          type: string
          description: >-
            The date and time for the updated at value on this lead status
            change.
          format: date-time
        followUpStatus:
          type: string
          description: The current follow up status for this lead status change.
          nullable: true
        callbackAt:
          type: string
          description: >-
            The date and time for the callback at value on this lead status
            change.
          format: date-time
          nullable: true
        taskDueAt:
          type: string
          description: >-
            The date and time for the task due at value on this lead status
            change.
          format: date-time
          nullable: true
        appointmentStartAt:
          type: string
          description: >-
            The date and time for the appointment start at value on this lead
            status change.
          format: date-time
          nullable: true
        appointmentEndAt:
          type: string
          description: >-
            The date and time for the appointment end at value on this lead
            status change.
          format: date-time
          nullable: true
        appointmentNotes:
          type: string
          description: The appointment notes value for this lead status change.
          nullable: true
        assignedToUserId:
          type: string
          description: The assigned to user ID associated with this lead status change.
          nullable: true
        relatedCallEventId:
          type: string
          description: The related call event ID associated with this lead status change.
          nullable: true
        isMissedCallFollowUp:
          type: boolean
          description: Whether this lead status change is missed call follow up.
        sourceId:
          type: string
          description: The source ID associated with this lead status change.
          nullable: true
      description: Response model for lead status change data.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true

````